package org.tapomay;

import java.util.ArrayList;
import java.util.List;

public class UniqueKey
{
    private Integer keyId;
    private List<String> keyList = new ArrayList<String>();

    public UniqueKey(Integer keyId)
    {
        super();
        this.keyId = keyId;
    }

    public void add(String key)
    {
        keyList.add(key);
    }
    
    public List<String> getKeyList()
    {
        return keyList;
    }

    public void setKeyList(List<String> keyList)
    {
        this.keyList = keyList;
    }

    public Integer getKeyId()
    {
        return keyId;
    }

    public void setKeyId(Integer keyId)
    {
        this.keyId = keyId;
    }
    
    @Override
    public boolean equals(Object obj)
    {
        UniqueKey otherKey = (UniqueKey) obj;
        List<String> otherKeyList = otherKey.getKeyList();
        boolean equals = keyList.equals(otherKeyList);
        return equals;
    }

    @Override
    public String toString()
    {
        return keyList.toString();
    }
}
